<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.gpsboot.mapper.maintain.RepairplanyeardetailMapper">

    <resultMap id="repairplanyeardetailMap" type="com.tofly.pojo.maintain.Repairplanyeardetail">
        <id property="id" column="ID"/>
        <result property="yearId" column="YEAR_ID"/>
        <result property="year" column="YEAR"/>
        <result property="month" column="MONTH"/>
        <result property="planContent" column="PLAN_CONTENT"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="typeId" column="TYPE_ID"/>
        <result property="typeName" column="TYPE_NAME"/>
        <result property="unit" column="UNIT"/>
<!--        <association property="typeName" column="TYPE_ID" select="getTypeName"/>-->
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.gpsboot.mapper.plan.HydrantrecordMapper.getRealName"></association>
    </resultMap>

<!--    <select id="getTypeName" resultType="java.lang.String">-->
<!--        select name as typeName from TF_YWPN_REPAIRTYPE_D where id = #{typeId}-->
<!--    </select>-->

</mapper>
